<?php
	add_action('admin_menu', 'call_notice_it_options');
	function call_notice_it_options() {
		add_options_page(	
					__( 'Content 4 Subscribers Settings', 'c4s' ), 
					__( 'Content 4 Subscribers Settings', 'c4s' ), 
					'manage_options',
					'c4s', 
					'c4s_admin'
				);
		wp_register_style( 'c4s_admin_style', plugins_url('admin-style.css', C4S_FILE ) );
		wp_enqueue_style( 'c4s_admin_style' );
	}

	function c4s_admin() {
		if( isset( $_POST["c4s"] ) && $_POST["c4s"]["action"] == "settings" ):
			unset( $_POST["c4s"]["action"] );
			update_option( 'c4s', $_POST["c4s"] );
		endif;
	
		$options = get_option( 'c4s' );
		?>
		<div class="wrap">
			<?php screen_icon(); ?>
			<h2><?php _e( 'Content 4 Subscribers Settings', 'c4s' ); ?></h2>
			<p><a href="http://wordpress.org/plugins/content4subscribers/" target="_blank"><?php _e( 'Our Plugin Page with shortcodes', 'c4s' ); ?></a></p>
			<form action="" method="post">
				<input type="hidden" name="c4s[action]" value="settings" />
				<table>
					<tr>
						<td><?php _e( 'Use Badge', 'c4s' ); ?></td>
						<td>
							<label>
								<input type="checkbox" name="c4s[incl_badge]" <?php if( $options["incl_badge"] == 1 ) echo 'checked="checked"'; ?> value="1" /><br />
								<small><?php _e( 'The logos of Cleverreach and Mailchimps are widely known and give additional trust to your newsletter signup boxes. It\'s recommended, to show them underneath your signup forms.', 'c4s' ); ?></small>
							</label>
						</td>
					</tr>
					<tr>
						<td><?php _e( 'CleverReach API Key', 'c4s' ); ?></td>
						<td><input name="c4s[cr_apikey]" value="<?php echo $options["cr_apikey"]; ?>" /></td>
					</tr>
					<tr>
						<td><?php _e( 'CleverReach Badge', 'c4s' ); ?></td>
						<td class="badges">
							<label>
								<input <?php if( $options["cleverreach_badge"] == "cleverreach1.png" ) echo 'checked="checked"'; ?> type="radio" name="c4s[cleverreach_badge]" value="cleverreach1.png" />
								<img alt="" src="<?php echo plugins_url( '/img/cleverreach1.png', C4S_FILE); ?>" />
							</label>
							<label>
								<input <?php if( $options["cleverreach_badge"] == "cleverreach2.png" ) echo 'checked="checked"'; ?> type="radio" name="c4s[cleverreach_badge]" value="cleverreach2.png" />
								<img alt="" src="<?php echo plugins_url( '/img/cleverreach2.png', C4S_FILE); ?>" />
							</label>
							<label>
								<input <?php if( $options["cleverreach_badge"] == "cleverreach3.png" ) echo 'checked="checked"'; ?> type="radio" name="c4s[cleverreach_badge]" value="cleverreach3.png" />
								<img alt="" src="<?php echo plugins_url( '/img/cleverreach3.png', C4S_FILE); ?>" />
							</label>
						</td>
					</tr>
					<tr>
						<td><?php _e( 'MailChimp API Key', 'c4s' ); ?></td>
						<td><input name="c4s[mc_apikey]" value="<?php echo $options["mc_apikey"]; ?>" /></td>
					</tr>
					<tr>
						<td><?php _e( 'MailChimp Badge', 'c4s' ); ?></td>
						<td class="badges">
							<label>
								<input <?php if( $options["mailchimp_badge"] == "mailchimp1.png" ) echo 'checked="checked"'; ?> type="radio" name="c4s[mailchimp_badge]" value="mailchimp1.png" />
								<img alt="" src="<?php echo plugins_url( '/img/mailchimp1.png', C4S_FILE); ?>" />
							</label>
							<label>
								<input <?php if( $options["mailchimp_badge"] == "mailchimp2.png" ) echo 'checked="checked"'; ?> type="radio" name="c4s[mailchimp_badge]" value="mailchimp2.png" />
								<img alt="" src="<?php echo plugins_url( '/img/mailchimp2.png', C4S_FILE); ?>" />
							</label>
							<label>
								<input <?php if( $options["mailchimp_badge"] == "mailchimp3.png" ) echo 'checked="checked"'; ?> type="radio" name="c4s[mailchimp_badge]" value="mailchimp3.png" />
								<img alt="" src="<?php echo plugins_url( '/img/mailchimp3.png', C4S_FILE); ?>" />
							</label>
							<label>
								<input <?php if( $options["mailchimp_badge"] == "mailchimp4.png" ) echo 'checked="checked"'; ?> type="radio" name="c4s[mailchimp_badge]" value="mailchimp4.png" />
								<img alt="" src="<?php echo plugins_url( '/img/mailchimp4.png', C4S_FILE); ?>" />
							</label>
							<label>
								<input <?php if( $options["mailchimp_badge"] == "mailchimp5.png" ) echo 'checked="checked"'; ?> type="radio" name="c4s[mailchimp_badge]" value="mailchimp5.png" />
								<img alt="" src="<?php echo plugins_url( '/img/mailchimp5.png', C4S_FILE); ?>" />
							</label>
							<label>
								<input <?php if( $options["mailchimp_badge"] == "mailchimp6.png" ) echo 'checked="checked"'; ?> type="radio" name="c4s[mailchimp_badge]" value="mailchimp6.png" />
								<img alt="" src="<?php echo plugins_url( '/img/mailchimp6.png', C4S_FILE); ?>" />
							</label>
							<label>
								<input <?php if( $options["mailchimp_badge"] == "mailchimp7.png" ) echo 'checked="checked"'; ?> type="radio" name="c4s[mailchimp_badge]" value="mailchimp7.png" />
								<img alt="" src="<?php echo plugins_url( '/img/mailchimp7.png', C4S_FILE); ?>" />
							</label>
							<label>
								<input <?php if( $options["mailchimp_badge"] == "mailchimp8.png" ) echo 'checked="checked"'; ?> type="radio" name="c4s[mailchimp_badge]" value="mailchimp8.png" />
								<img alt="" src="<?php echo plugins_url( '/img/mailchimp8.png', C4S_FILE); ?>" />
							</label>
							<label>
								<input <?php if( $options["mailchimp_badge"] == "mailchimp9.png" ) echo 'checked="checked"'; ?> type="radio" name="c4s[mailchimp_badge]" value="mailchimp9.png" />
								<img alt="" src="<?php echo plugins_url( '/img/mailchimp9.png', C4S_FILE); ?>" />
							</label>
						</td>
					</tr>
					
					<tr>
						<td></td>
						<td><button><?php _e( 'Update', 'c4s' ); ?></button></td>
					</tr>
				</table>
			</form>
		</div> 
		
		<script type="text/javascript">
			jQuery( document ).ready( function(){
			
				jQuery( '.badges' ).each( function(){
					jQuery( this ).children( 'label' ).each( function(){
						if( jQuery( this ).find( 'input' ).attr( 'checked' ) )
							jQuery( this ).addClass( 'selected' );
							
						jQuery( this ).click( function(){
							jQuery( this ).parent().children( 'label' ).removeClass( 'selected' );
							jQuery( this ).addClass( 'selected' );
						});
					});					
				});
				
				
			});
		</script>
		<?php
	}
	
?>